--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: a.catchp(:somesymbol) will catch the :somesymbol thrown by a.
full_name: RParsec::Parser#catchp
is_singleton: false
name: catchp
params: (symbol)
visibility: public
